<?php

namespace App\Http\Controllers\BackEnd;
use App\Http\Controllers\Controller;
use App\Models\Phrases;
use Illuminate\Http\Request;

class PhrasesController extends Controller
{


    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function phrases_eye($id)
    {
        $affected = Phrases::find($id);
        if ($affected->active == 1) {
            $affected->active = 0;
            $affected->save();
            echo ' <i style="color: red;" class="ti-eye"></i>';
        } else {
            $affected->active = 1;
            $affected->save();
            echo '<i class="ti-eye"></i>';
        }
    }



    public function index1()
    {
        $phrases = Phrases::all();
        return view('back.phrases.index1', compact('phrases'));
    }

    public function index()
    {
        $phrases = Phrases::all();
        return view('back.phrases.index', compact('phrases'));
    }

    public function create1()
    {
        return view('back.phrases.create1');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {


        return view('back.phrases.create');

    }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'name' => 'required|string|unique:phrases,name',
            'Phrases_companies_id' => 'required',
            'Phrases_categories_id' => 'required',
            'pr_code' => 'string|unique:phrases,pr_code',
            'qr_code' => 'string|unique:phrases,qr_code',
        ]);
        $phrases = new Phrases();

        // $phrases->user_id = Auth::user()->id;
        $phrases->name = $request->name;
        $phrases->Phrases_companies_id = $request->Phrases_companies_id;
        $phrases->Phrases_categories_id = $request->Phrases_categories_id;
        $phrases->details = $request->details;
        $phrases->reason_Phrases = $request->reason_Phrases;
        $phrases->name_en = $request->name_en;
        $phrases->details_en = $request->details_en;
        $phrases->reason_Phrases_en = $request->reason_Phrases_en;
        $phrases->qr_code = $request->qr_code;
        $phrases->pr_code = $request->pr_code;
        // $phrases->save();

        if ($request['image'] != null)
        $phrases->image = $this->storeImage($request['image'], 'images/phrases');

        if($phrases->save())
            return response()->json(['success'=>$phrases]);

            else return response()->json(['error'=>$phrases]);
        // $phrases->save();


        if( $phrases->save()){


            return response()->json(['success'=>$phrases]);
        }
        else return response()->json(['error'=>$phrases]);

        //  return redirect()->route('phrases.index')->with('success', 'لقد تم انشاء الاقسم بنجاح');
    }


    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */


    public function edit($id)
    {
        $phrases = Phrases::find($id);
        return view('back.phrases.edit', compact('phrases'));
    }
    public function edit1($id)
    {

        $phrases = Phrases::find($id);
        return view('back.phrases.edit1', compact('phrases'));
    }


    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        $this->validate($request, [
           'name' => 'required|string|unique:phrases,name,' . $request->id,
           'Phrases_companies_id' => 'required',
           'Phrases_categories_id' => 'required',
        ]);

        $phrases = Phrases::find($request->id);

        // $phrases->user_id = Auth::user()->id;
        $phrases->name = $request->name;
        $phrases->Phrases_companies_id = $request->Phrases_companies_id;
        $phrases->Phrases_categories_id = $request->Phrases_categories_id;
        $phrases->details = $request->details;
        $phrases->reason_Phrases = $request->reason_Phrases;

        $phrases->name_en = $request->name_en;
        $phrases->details_en = $request->details_en;
        $phrases->reason_Phrases_en = $request->reason_Phrases_en;
        $phrases->qr_code = $request->qr_code;
        $phrases->pr_code = $request->pr_code;
        // $phrases->save();


      if ($request['image'] != null)
        $phrases->image = $this->updateImage($request['image'], 'images/phrases',$phrases->image);

        if($phrases->save())
            return response()->json(['success'=>$phrases]);

            else return response()->json(['error'=>$phrases]);


         }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $imagePath = Phrases::find($id);
            $imagePath->delete();
            echo '<p style="color:red"> تم الحذف *  </p>';
    }
}

