<?php

namespace App\Http\Controllers\BackEnd;

use App\Http\Controllers\Controller;
use App\Models\Presence;
use App\Models\PresenceType;
use App\Models\User;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Spatie\Permission\Models\Role;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Auth;
use App\Traits\UploadTrait;
class UserController extends Controller
{


    use UploadTrait;
    // public function editAccount(Request $request)
    // {
    //     $user = User::find(Auth::user()->id);

    //     $this->validate($request, [
    //         'name' => 'required',
    //         'phone' => 'required',
    //         'email' => 'required|email|unique:users,email,' . Auth::user()->id,
    //         'password' => 'same:confirm-password',

    //     ]);

    //     $user->name = $request['name'];
    //     if ($request['password']) {
    //         $user->password = Hash::make($request['password']);
    //     }
    //     $user->email = $request['email'];
    //     $user->phone = $request['phone'];
    //     $user->save();
    //     if ($request['transports']  != null) {
    //         $deliver = Deliver::find(Auth::user()->id);
    //         $deliver->transports = $request['transports'];
    //         $deliver->save();
    //     }
    //     return back()->with('success', 'Account Update Successfully');
    //     if ($user->save()) {
    //         echo 'تم  التعديل بنجاح  ';
    //     } else {
    //         echo 'هنالك خطأماء في التعديل تاكد من عدم تشابة الاسامي';
    //     }
    // }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function users_eye($id)
    {

        $affected = User::find($id);
        if ($affected->status == 1) {
            $affected->status = 0;
            $affected->save();
            echo ' <i style="color: red;" class="ti-eye"></i>';
        } else {
            $affected->status = 1;
            $affected->save();
            echo '<i  class="ti-eye"></i>';
        }
    }
    public function index()
    {
        $users = User::all();
        return view('back.users.index', compact('users'));
    }
    public function index1()
    {
        $users = User::all();
        return view('back.users.index1', compact('users'));
    }
    public function create1()
    {
        return view('back.users.‏‏create1');
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

        return view('back.users.create');
    }

    // public function index(Request $request)
    // {
    //     $data = User::orderBy('id', 'DESC')->paginate(5);
    //     return view('back.users.index', compact('data'))
    //         ->with('i', ($request->input('page', 1) - 1) * 5);
    // }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    // public function create()
    // {
    //     $roles = Role::pluck('name', 'name')->all();
    //     return view('back.users.create', compact('roles'));
    // }


    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {




        $this->validate($request, [
            'name' => 'required',
            'phone' => 'required',
            'email' => 'required|unique:users,email',
            'username' => 'required|unique:users,username',
            // 'password' => 'required|same:password_confirmation',
            // 'roles' => 'required'
        ]);
        // $input = $request->all();
        // $input['password'] = Hash::make($input['password']);
        //$user = User::create($input);
        $users = new User();
        // $users->shift_id = $request->shift_id;
        // if ($request->shift_id != null) $users->shift_id = $request->shift_id;
        // else $users->shift_id = 1;


        $users->name = $request->name;
        $users->username = $request->username;
        $users->email = $request->email;
        $users->phone = $request->phone;
        $users->about_me = $request->about_me;
        $users->password = '123';//$input['password'];
        $users->profile = $this->storeImage($request['profile'], 'images/users');
        if ($request->roles != null)$users->assignRole($request->input('roles'));
        else $users->assignRole(1);

        // $users->assignRole($request->input('roles'));


        if($users->save()){
            return response()->json(['success'=>'لقد تم  انشاء مستخدم بنجاح']);
           }else{
            return response()->json(['error'=>'هنالك خطاء في انشاء المستخدم  ']);
           }
    }
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $user = User::find($id);
        return view('back.users.show', compact('user'));
    }
    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $users = User::find($id);
        return view('back.users.edit', compact('users'));
    }
    public function edit1($id)
    {

        $users = User::find($id);
        return view('back.users.edit1', compact('users'));
    }
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */


        public function update(Request $request)
    {
        $this->validate($request, [
            'name' => 'required',
            'username' => 'required|unique:users,username,' . $request->id,
            // 'phone' => 'required',
            // 'gender' => 'required',
            // 'email' => 'required|email|unique:users,email,' . $request->id,
            // 'password' => 'same:password_confirmation',
            //  'roles' => 'required'
          ]);
        //  $input = $request->all();
         $users = User::find($request->id);
         $users->name = $request->name;
         $users->username = $request->username;
         $users->email = $request->email;
         $users->phone = $request->phone;
         $users->about_me = $request->about_me;
        //   if (!empty($request->gender)) {
        //     $users->gender = $request->gender;
        //   }
          if (!empty($request->password)) {
             $users->password = Hash::make($request->password);
          }
          if ($request['profile'] != null)
            $users->profile = $this->updateImage($request['profile'], 'images/users', $users->profile);

        //  $users->save();
          if ($request->input('roles') != null) {
            DB::table('model_has_roles')->where('model_id', $request->id)->delete();
            $users->assignRole($request->input('roles'));
         }
         if($users->save()){
            return response()->json(['success'=>'لقد تم  التعديل على مستخدم بنجاح']);
           }else{
            return response()->json(['error'=>'هنالك خطاء في التعديل على المستخدم  ']);
           }

    }
    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $users = User::find($id);
        if ($users->profile == 'default.png') {
            $users->delete();
        } else {
            $this->deleteImage($users->profile);
            $users->delete();
        }



    }
}
